// Pingus - A free Lemmings clone
// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>

// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#ifndef BUTTON_PANEL_HH
#define BUTTON_PANEL_HH

#include <vector>

#include "PLF.hh"
#include "Pingu.hh"
#include "GuiObj.hh"
#include "ActionButton.hh"
#include "GameObj.hh"
#include "CaptureRectangle.hh"

class ButtonPanel : public GuiObj, public GameObj
{
private:
  vector<ActionButton*> button;
  //  static CL_ResourceManager* resource;
  static CL_Surface* button_cap;
  static CL_Surface* button_cap_pers;
  //  static CL_Font*    font;
  bool   need_redraw;
  int    pressed_button;
  CaptureRectangle* cap; 

public:
  ButtonPanel(PLF* plf);
  ~ButtonPanel();

  void let_move();
  void draw();
  void set_cap(CaptureRectangle* caprec); 
  PinguAction* get_action();
  string get_action_name();
  static void load_data();
};

#endif

/* EOF */
