// Pingus - A free Lemmings clone
// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#include <string>
#include <cstdio>
#include <cstdlib>
#include <cassert>
#include "PinguTile.hh"

PinguTile::PinguTile()
{
  redraw = true;
  tile = 0;
}

void
PinguTile::draw(int x, int y, double s)
{
  assert(tile);

  if (!tile_is_transparent) {
    if (s == 1.0)
      tile->put_screen(x, y, sub_bitmap);
    else 
      tile->put_screen((int)(x * s ), (int)(y * s),
		       (int)(tile->get_width() * s),
		       (int)(tile->get_height() * s),
		       sub_bitmap);
  }
  redraw = false;
}

void
PinguTile::load(int i, CL_ResourceManager* resource)
{
  string str;
  
  sub_bitmap = i;
  
  if (i == 255)
    tile_is_transparent = true;
  else
    tile_is_transparent = false;

  str = "Game/rock";
  tile =  CL_Res_Surface::load(str.c_str(), *resource);
}

void
PinguTile::start_anim()
{
}

void
PinguTile::stop_anim()
{
}

void
PinguTile::set_redraw(bool r)
{
  redraw = r; 
}

bool
PinguTile::needs_redraw()
{
  return redraw;
}

/* EOF */
