// Pingus - A free Lemmings clone
// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#ifndef PINGUTAIL_HH
#define PINGUTAIL_HH

#include <ClanLib/clanlib.h>
#include <ClanLib/clanlayer2.h>

// A PinguTile object manage a single tile of the map, it is basicaly
// only a wrapper for CL_Surface which also manage the animation.

class PinguTile {
private:
  CL_Surface* tile;         // The gfx of the tile
  int  sub_bitmap;
  bool redraw;
  bool tile_is_transparent; // Don't draw the tile if it is transparent
public:
  PinguTile();

  void draw(int x, int y, double s = 1.0);
  void load(int i, CL_ResourceManager* resource);
  void start_anim();
  void stop_anim();
  bool needs_redraw();
  void set_redraw(bool r);
};

#endif

/* EOF */
