// Pingus - A free Lemmings clone
// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#ifndef PINGUS_HH
#define PINGUS_HH

#include <string>
#include <ClanLib/clanlib.h>
#include <ClanLib/clanlayer2.h>

#include "Result.hh"

class PingusMain : public CL_ClanApplication
{
private:
  CL_ResourceManager *resource;

  string  title;

  bool    pingus_datadir_set;

  string  pingus_datafile;
  string  pingus_scriptfile;
  string  pingus_soundfile;
  string  levelfile;
  string resolution;
  
  int   level;  // the number of the current level, -1 if the level is custom  
  //  char* levelfile; // the name of the level_file
  int screen_width;
  int screen_height;
  
public:
  PingusMain();
  virtual int main(int argc, char** argv);
  virtual char* get_title();

  void check_args(int argc, char* argv[]);
  void init(int argc, char* argv[]);
  void init_clanlib();
  void get_filenames();
  void intro(void);
  int  play_level(int);
  Result play_level(string filename);
  int  play_level(void);
  void load_data();
} my_app; // notice this line. It creates the global instance.

#endif

/* EOF */
